Package com.collibra.dgc.core.api.dto.workflow

# Class MessageEventReceivedRequest

Object
MessageEventReceivedRequest

All Implemented Interfaces:
  `Serializable`

public class MessageEventReceivedRequest extends Object implements Serializable
The properties of the message event to be received.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `MessageEventReceivedRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageEventReceivedRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MessageEventReceivedRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getMessageName()`
  Required. The name of the message event.
  `String`
  `getProcessInstanceId()`
  The ID of the workflow execution.
  `Map<String,Object>`
  `getVariables()`
  The variables of the message event.
  `int`
  `hashCode()`
  `void`
  `setMessageName(String messageName)`
  Required. The name of the message event.
  `void`
  `setProcessInstanceId(String processInstanceId)`
  The ID of the workflow execution.
  `void`
  `setVariables(Map<String,Object> variables)`
  The variables of the message event.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MessageEventReceivedRequest

    public MessageEventReceivedRequest()

- ## Method Details

  - ### builder

    public static MessageEventReceivedRequest.Builder builder()

  - ### getMessageName

    public String getMessageName()
    Required. The name of the message event.

  - ### getProcessInstanceId

    public String getProcessInstanceId()
    The ID of the workflow execution.

  - ### getVariables

    public Map<String,Object> getVariables()
    The variables of the message event.

  - ### setMessageName

    public void setMessageName(String messageName)
    Required. The name of the message event.

  - ### setProcessInstanceId

    public void setProcessInstanceId(String processInstanceId)
    The ID of the workflow execution.

  - ### setVariables

    public void setVariables(Map<String,Object> variables)
    The variables of the message event.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`